<template>
  <div class="p-6 flex bg-white justify-center">
    <div class="logo absolute left-6">
      <img
        class="h-18 w-auto"
        src="/images/logo/sphere-mini.svg"
        alt="getsphere.dev logo"
      />
    </div>
    <aside class="auth-side rounded-lg flex flex-col">
      <app-auth-layout-side />
    </aside>
    <main class="flex justify-center items-center !pt-0">
      <div class="auth-content">
        <router-view />
      </div>
    </main>
  </div>
</template>

<script>
import AppAuthLayoutSide from '@/modules/auth/components/layout/auth-layout-side.vue';

export default {
  name: 'AppAuthLayout',
  components: { AppAuthLayoutSide },
};
</script>

<style lang="scss" scoped>
.auth-side {
  background: linear-gradient(
    154.2deg,
    #ece8ff 0%,
    #f5f2ff 57.5%
  );
  width: 28rem;
  position: fixed;
  top: 24px;
  left: 24px;
  min-height: calc(100vh - 48px);

  @media (max-width: 991px) {
    display: none;
  }
}

main {
  flex-shrink: 1;
  min-height: calc(100vh - 3rem);
  width: 100%;
  padding: 4.75rem 2rem 4.75rem 32.5rem;

  @media (max-width: 991px) {
    padding: 6rem 0;
  }

  .auth-content {
    max-width: 28rem;
    width: 100%;
  }
}

.logo {
  display: none;
  @media (max-width: 991px) {
    display: block;
  }
}
</style>
